<?php
function fancy_box_admin_settings() {

    if (module_exists('image')) {
        $form['fancy_box_imagemodule'] = array (
        '#type'=>'fieldset',
        '#title'=>t('Image module options')
        );
        $form['fancy_box_imagemodule']['fancy_box_auto'] = array (
        '#type'=>'checkbox',
        '#title'=>t('Enable for image nodes'),
        '#default_value'=>variable_get('fancy_box_auto', FALSE),
        '#description'=>t('Automatically activate Fancy box for all image nodes (requires the image module).'),
        );
        $options = array ();
        $sizes = image_get_sizes();
        foreach ($sizes as $label=>$size) {
            $options[$label] = $size['label'];
        }

        $form['fancy_box_imagemodule']['fancy_box_image_node'] = array (
        '#type'=>'select',
        '#title'=>t('Image display size'),
        '#options'=>$options,
        '#default_value'=>variable_get('fancy_box_image_node_dispaly', '_original'),
        '#description'=>t('Select which image size will be loaded.'),
        );
    }

    if (module_exists('imagefield')) {
        $form['fancy_box_imagefield'] = array (
        '#type'=>'fieldset',
        '#title'=>t('Image field options (CCK)')
        );
        $form['fancy_box_imagefield']['fancy_box_loop_items'] = array (
        '#type'=>'radios',
        '#title'=>t('Loop items'),
        '#default_value'=>variable_get('fancy_box_loop_items', 1),
        '#options'=> array (0=>t('No loop items'), 1=>t('Per field'), 2=>t('Loop all')),

        );

        $form['fancy_box_imagefield']['fancy_box_imagefield_use_node_title'] = array (
        '#type'=>'checkbox',
        '#title'=>t('Use node title as caption'),
        '#description'=>t('By default, the caption for imagefields is the image title text configured.  If no title is configured, then the alt text will be used.  This option allows you to override that and always display the node title as the image caption.'),
        '#default_value'=>variable_get('fancy_box_imagefield_use_node_title', FALSE),
        );



        if (module_exists('imagecache')) {
            $presets_options = array (0=>t('Original image (no preset)'));
            foreach (imagecache_presets() as $preset) {
                $presets_options[$preset['presetname']] = $preset['presetname'];
            }
            $form['fancy_box_imagefield']['fancy_box_imagecache_preset'] = array (
            '#type'=>'select',
            '#title'=>t('Image cache preset'),
            '#options'=>$presets_options,
            '#default_value'=>variable_get('fancy_box_imagecache_preset', 0),
            '#description'=>t('Select which image cache preset to use for viewing images in the Fancy box.'),
            );
        }
    }


 
    $form['advanced_options'] = array (
    '#type'=>'fieldset',
    '#title'=>t('Advanced settings'),
    '#collapsible'=>TRUE,
    '#collapsed'=>TRUE,
    );


    $options_select = array ('true'=>t('True'), 'FALSE'=>t('FALSE'));


    $form['advanced_options']['fancy_box_padding'] = array (
    '#type'=>'textfield',
    '#title'=>t('Padding'),
    '#size'=>4,
    '#maxlength'=>4,
    '#description'=>t('Padding around content'),
    '#default_value'=>variable_get('fancy_box_padding', 10),
    );

    $form['advanced_options']['fancy_box_zoom_opacity'] = array (
    '#type'=>'textfield',
    '#title'=>t('Padding'),
    '#size'=>4,
    '#maxlength'=>4,
    '#description'=>t('Changes content transparency when animating'),
    '#default_value'=>variable_get('fancy_box_zoom_opacity', 100),
    );

    $form['advanced_options']['fancy_box_zoom_speed_in'] = array (
    '#type'=>'textfield',
    '#title'=>t('Padding'),
    '#size'=>4,
    '#maxlength'=>4,
    '#description'=>t('Speed in miliseconds of the zooming-in animation (no animation if 0)'),
    '#default_value'=>variable_get('fancy_box_zoom_speed_in', 100),
    );

    $form['advanced_options']['fancy_box_zoom_speed_out'] = array (
    '#type'=>'textfield',
    '#title'=>t('Padding'),
    '#size'=>4,
    '#maxlength'=>4,
    '#description'=>t('Speed in miliseconds of the zooming-out animation (no animation if 0)'),
    '#default_value'=>variable_get('fancy_box_zoom_speed_out', 100),
    );

    $form['advanced_options']['fancy_box_zoom_speed_change'] = array (
    '#type'=>'textfield',
    '#title'=>t('Padding'),
    '#size'=>4,
    '#maxlength'=>4,
    '#description'=>t('Speed in miliseconds of the animation when changing gallery items (no animation if 0)'),
    '#default_value'=>variable_get('fancy_box_zoom_speed_change', 200),
    );


    $form['advanced_options']['fancy_box_image_scale'] = array (
    '#type'=>'checkbox',
    '#title'=>t('Image scale'),
    '#description'=>t('Images are scaled to fit in viewport'),
    '#default_value'=>variable_get('fancy_box_image_scale', TRUE),
    );


    $form['advanced_options']['fancy_box_overlay_show'] = array (
    '#type'=>'checkbox',
    '#title'=>t('Overlay'),
    '#description'=>t('Shows the overlay'),
    '#default_value'=>variable_get('fancy_box_overlay_show', TRUE),
    );

    $form['advanced_options']['fancy_box_hide_on'] = array (
    '#type'=>'checkbox',
    '#title'=>t('Hides FancyBox'),
    '#description'=>t('Hides FancyBox when cliked on opened item'),
    '#default_value'=>variable_get('fancy_box_hide_on', TRUE),
    );

    $form['advanced_options']['fancy_box_center_on_scroll'] = array (
    '#type'=>'checkbox',
    '#title'=>t('Centere content'),
    '#description'=>t('Content is centered when user scrolls page'),
    '#default_value'=>variable_get('fancy_box_center_on_scroll', TRUE),
    );


    for ($i = 0; $i < 10; $i++) {
        $opacity_options["0.$i"] = "0.$i";
    }
    $opacity_options["1.0"] = "1.0";
    $form['advanced_options']['fancy_box_overlay_opacity'] = array (
    '#type'=>'select',
    '#title'=>t('Overlay opacity'),
    '#options'=>$opacity_options,
    '#description'=>t('The overlay opacity setting determines how visible the background page is behind the Fancy box.  The opacity value can range from 0.0 to 1.0 where 0.0 is 100% transparent and 1.0 is 100% opaque.'),
    '#default_value'=>variable_get('fancy_box_overlay_opacity', '0.2'),
    );


    return system_settings_form($form);
}
